astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- World Coordinate System (`astropy.wcs`) »
- validate

# validate

`astropy.wcs.``validate`(source)

  Prints a WCS validation report for the given FITS file.

  Parameters:

  source : str path, readable file-like object or `astropy.io.fits.HDUList` object

  > The FITS file to validate.

  Returns:

  results : WcsValidateResults instance

  > The result is returned as nested lists. The first level corresponds to the HDUs in the given file. The next level has an entry for each WCS found in that header. The special subclass of list will pretty-print the results as a table when printed.